- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# xml_chooser< Automata< S >, T > Struct Template Reference

Chooser specialization for automata. More...

Inheritance diagram for xml_chooser< Automata< S >, T >:

[legend]

List of all members.

## Detailed Description

### template<class S, class T>
struct vcsn::xml::xml_chooser< Automata< S >, T >

Chooser specialization for automata.

- `S` Automaton structure type.
- `T` Automaton implementation type.

Definition at line 98 of file xml_chooser.hh.